Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.conditions
Class AddClosureAxiomAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.owl.ui.actions.ResourceAction
              edu.stanford.smi.protegex.owl.ui.conditions.AddClosureAxiomAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, Comparable, EventListener, Action

    public class AddClosureAxiomAction

extends ResourceAction

A ResourceAction that adds a closure axiom to the class. This can be applied to existential that are direct pure superclass or part of an equivalent intersection of an OWLNamedClass.

For example: hasParent some Mother hasParent some Father Adds: hasParent all (Mother or Father)

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`AddClosureAxiomAction()`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`boolean` | `isSuitable(Component component, RDFResource resource)`
`static boolean` | `isSuitable(edu.stanford.smi.protege.model.Frame frame, OWLNamedClass editedCls)`
`static OWLAllValuesFrom` | `performAction(OWLNamedClass namedClass, OWLExistentialRestriction restriction)`
`static OWLAllValuesFrom` | `performAction(OWLNamedClass namedClass, OWLSomeValuesFrom someValuesFrom)` Deprecated. please use the more generic version

Methods inherited from class edu.stanford.smi.protegex.owl.ui.actions.ResourceAction
`compareTo, getComponent, getGroup, getOWLModel, getPriority, getResource, initialize, isInToolBar`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddClosureAxiomAction

    public AddClosureAxiomAction()

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

### isSuitable

    public boolean isSuitable(Component component,
                              RDFResource resource)

  Specified by:
    `isSuitable` in class `ResourceAction`

### isSuitable

    public static boolean isSuitable(edu.stanford.smi.protege.model.Frame frame,
                                     OWLNamedClass editedCls)

### performAction

    public static OWLAllValuesFrom performAction(OWLNamedClass namedClass,
                                                 OWLSomeValuesFrom someValuesFrom)

  Deprecated. please use the more generic version

### performAction

    public static OWLAllValuesFrom performAction(OWLNamedClass namedClass,
                                                 OWLExistentialRestriction restriction)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.